# netif Struct Reference

`#include <netif.h>`

## Data Fields

netif * | next
uInt8 | num
ip_addr | ip_addr
ip_addr | netmask
ip_addr | gw
char | hwaddr [6]
err_t(* | input )(struct pbuf *p, struct netif *inp)
char | name [2]
err_t(* | output )(struct netif *netif, struct pbuf *p, struct ip_addr *ipaddr)
err_t(* | linkoutput )(struct netif *netif, struct pbuf *p)
void * | state

## Field Documentation

struct ip_addr netif::gw

char netif::hwaddr[6]

err_t(* netif::input)(struct pbuf *p, struct netif *inp)

struct ip_addr netif::ip_addr

err_t(* netif::linkoutput)(struct netif *netif, struct pbuf *p)

char netif::name[2]

struct ip_addr netif::netmask

struct netif* netif::next

uInt8 netif::num

err_t(* netif::output)(struct netif *netif, struct pbuf *p, struct ip_addr *ipaddr)

void* netif::state

The documentation for this struct was generated from the following file:

- netif.h